unpack
Changelog
Misc. Functions
PHP Manual

# usleep

Delay execution in microseconds

### Description

void usleep ( int `$micro_seconds` )

Delays program execution for the given number of micro seconds.

### Parameters

`micro_seconds`

  Halt time in micro seconds. A micro second is one millionth of a second.

### Return Values

No value is returned.

### Changelog

Version | Description
--- | ---
5.0.0 | This function now works on Windows systems.

### Examples

Example #1 usleep example

`<?php
// Current time
echo date('h:i:s') . "\n";
// wait for 2 seconds
usleep(2000000);
// back!
echo date('h:i:s') . "\n";
?>`

The above example will output:

    11:13:28
    11:13:30

### See Also

- sleep
- time_nanosleep
- time_sleep_until
- set_time_limit